PUT
/quotas/users/{username}/transfer-usageUpdate transfer quota usage limits
Manually sets or adjusts the current transfer quota usage (upload and download data) for the given user. Use "reset" mode to set exact values, or "add" mode to increment/decrement the current usage
usernamestringrequired
the username
modestringoptional
the update mode specifies if the given quota usage values should be added or replace the current ones
If used_upload_data_transfer and used_download_data_transfer are missing they will default to 0, this means that if mode is "add" the current value, for the missing field, will remain unchanged, if mode is "reset" the missing field is set to 0
used_download_data_transferintegeroptional
The value must be specified as bytes
used_upload_data_transferintegeroptional
The value must be specified as bytes
200successful operation
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Not Found
errorstringoptional
error description if any
messagestringoptional
message, can be empty
409Conflict
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 404 is returned: Not Found. A 409 is returned: Conflict. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.